Skip to main content
POST
Post Package Data For Delivery Note

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

deliverynotes.write
oauth2-authorization-code

Grants permission to create and modify delivery notes.

deliverynotes.write
oauth2-client-credentials

Grants permission to create and modify delivery notes.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

deliveryNoteId
string<uuid>
required

The ID of the delivery note. Id of a delivery note.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The packages to create.

trackingID
string
required

The tracking Id of the package.

shippedDate
string<date-time>

The date when the package was shipped.

comment
string

The comment of the package.

Response

All packages that have been created for the delivery note.

id
string<uuid>
required

The id of the package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

packageDate
string<date-time>
required

The date when the package was created.

trackingID
string
required

The tracking Id of the package.

weights
number<decimal>
required

The weight of the package.

shippingMethodId
string<uuid>
required

The shipping method of the package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippedDate
string<date-time>
required

The date when the package was shipped.

trackingUrl
string
required

The tracking url of the package.

comment
string
required

The comment of the package.